﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yokogawa DL1740E (1 yr) VER IEEE /9500+1Hd,33250
INSTRUMENT:            Sub Yokogawa DL1740EL (1 yr) VER IEEE /9500+1Hd,33250
DATE:                  2017-04-14 06:24:49
AUTHOR:                Fluke
REVISION:              $Revision: 19274 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       262
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Agilent 33250A
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720E/DL1740E/DL1740EL Digital Oscilloscope
#        Service Manual, SM 701730-01E, 1st Edition, Octocber 2004
#
#  Additional Equipment Required:
#        BNC T (f-m-f)
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        Dual input coupler
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         600MH                        1Vpp           LS    S  L
  1.003  33250        *                                                 S
  1.004  ENDIF

  1.005  IF           NOT(VERSIONCHECK("7.3"))
  1.006  END
  1.007  ENDIF

  1.008  ASK-   R   Q N              P                            A        V

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ambient temperature: 18 °C - 28 °C.
  1.014  DISP         Relative humidity: less than 80 %.
  1.014  DISP         Warmup time: 30 minutes.

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.017  CALL         Sub UUT Connection GPIB

  1.018  MATH         @UUT_Manufacturer = "YOKOGAWA"

  1.019  IF           PSUB("DL1740EL")
  1.020  MATH         @UUT_Model = "DL1740EL"
  1.021  ELSE
  1.022  MATH         @UUT_Model = "DL1740E"
  1.023  ENDIF

  1.024  MATH         @UUT_AssetNum = UUT()

  1.025  IF           NOT(EMPTY(@UUT_AssetNum))
  1.026  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.027  ENDIF

  1.028  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.029  CALL         Sub Yokogawa DL17x0 Model Number

  1.030  IF           @Abort
  1.031  END
  1.032  ENDIF

  1.033  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

  1.037  HEAD         EQUIPMENT REQUIREMENTS
  1.038  OPBR         -z Do you want to review the list of additional
  1.038  OPBR         equipment and/or accessories required?

  1.039  IF           MEM1
  1.040  DISP         The following additional equipment and/or
  1.040  DISP         accessories are required:
  1.040  DISP
  1.040  DISP         - BNC T (f-m-f)
  1.040  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.040  DISP         - Dual input coupler
  1.041  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.042  RESET        *CLS
  1.043  IEEE2        *RST

  1.044  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.045  CALL         Sub Yokogawa DL17x0 Self Test IEEE
  1.046  CALL         Sub Yokogawa DL17x0E Line Trigger and Hold Off IEEE
  1.047  CALL         Sub Yokogawa DL17x0E Probe Compensation Output IEEE

  1.048  DISP         Connect the CH 1 Active Head to the UUT CH 1.
  1.049  MATH         M[1] = 1
  1.050  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /9500
  1.051  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.052  JMPL         TRIG_LEVEL_ACC_CH1

  1.053  LABEL        BANDWIDTH_CH2
  1.054  DISP         Connect the CH 1 Active Head to the UUT CH 2.
  1.055  MATH         M[1] = 2
  1.056  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.057  JMPL         TRIG_LEVEL_ACC_CH2

  1.058  LABEL        BANDWIDTH_CH3
  1.059  DISP         Connect the CH 1 Active Head to the UUT CH 3.
  1.060  MATH         M[1] = 3
  1.061  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.062  JMPL         TRIG_LEVEL_ACC_CH3

  1.063  LABEL        BANDWIDTH_CH4
  1.064  DISP         Connect the CH 1 Active Head to the UUT CH 4.
  1.065  MATH         M[1] = 4
  1.066  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.067  JMPL         TRIG_LEVEL_ACC_CH4

  1.068  LABEL        TRIG_LEVEL_ACC_CH1
  1.069  MATH         M[1] = 1
  1.070  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.071  JMPL         OFFSET_ACC_CH1

  1.072  LABEL        TRIG_LEVEL_ACC_CH2
  1.073  MATH         M[1] = 2
  1.074  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.075  JMPL         OFFSET_ACC_CH2

  1.076  LABEL        TRIG_LEVEL_ACC_CH3
  1.077  MATH         M[1] = 3
  1.078  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.079  JMPL         OFFSET_ACC_CH3

  1.080  LABEL        TRIG_LEVEL_ACC_CH4
  1.081  MATH         M[1] = 4
  1.082  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.083  JMPL         OFFSET_ACC_CH4

  1.084  LABEL        TRIG_SENS_CH1
  1.085  MATH         M[1] = 1
  1.086  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.087  JMPL         BANDWIDTH_CH2

  1.088  LABEL        TRIG_SENS_CH2
  1.089  MATH         M[1] = 2
  1.090  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.091  JMPL         BANDWIDTH_CH3

  1.092  LABEL        TRIG_SENS_CH3
  1.093  MATH         M[1] = 3
  1.094  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.095  JMPL         BANDWIDTH_CH4

  1.096  LABEL        TRIG_SENS_CH4
  1.097  MATH         M[1] = 4
  1.098  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.099  JMPL         EXT_TRIG_ACC

  1.100  LABEL        OFFSET_ACC_CH1
  1.101  MATH         M[1] = 1
  1.102  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.103  JMPL         DCV_CH1

  1.104  LABEL        OFFSET_ACC_CH2
  1.105  MATH         M[1] = 2
  1.106  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.107  JMPL         DCV_CH2

  1.108  LABEL        OFFSET_ACC_CH3
  1.109  MATH         M[1] = 3
  1.110  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.111  JMPL         DCV_CH3

  1.112  LABEL        OFFSET_ACC_CH4
  1.113  MATH         M[1] = 4
  1.114  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.115  JMPL         DCV_CH4

  1.116  LABEL        DCV_CH1
  1.117  MATH         M[1] = 1
  1.118  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.119  JMPL         TRIG_SENS_CH1

  1.120  LABEL        DCV_CH2
  1.121  MATH         M[1] = 2
  1.122  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.123  JMPL         TRIG_SENS_CH2

  1.124  LABEL        DCV_CH3
  1.125  MATH         M[1] = 3
  1.126  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.127  JMPL         TRIG_SENS_CH3

  1.128  LABEL        DCV_CH4
  1.129  MATH         M[1] = 4
  1.130  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.131  JMPL         TRIG_SENS_CH4

  1.132  LABEL        EXT_TRIG_ACC
  1.133  DISP         Connect a BNC T (f-m-f) to UUT CH1.
  1.133  DISP
  1.133  DISP         Connect CH1 Active Head to one side of the BNC T.
  1.133  DISP
  1.133  DISP         Connect the other side of the BNC T to UUT EXT TRIG IN
  1.133  DISP         on the rear panel via a 50 Ohm feed through.
  1.134  MATH         M[1] = 1
  1.135  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Lev Acc IEEE /9500

  1.136  DISP         Connect UUT TRIG OUT on the rear panel to UUT CH2
  1.136  DISP         through a BNC cable.
  1.137  MATH         M[1] = 1
  1.138  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Sens IEEE /9500
  1.139  DISP         Remove all connections.

  1.140  DISP         Connect Calibrator 9500 Ref Frequency Output on 9500
  1.140  DISP         rear panel to 33250A 10MHz IN terminal on 33250A rear
  1.140  DISP         panel via a BNC cable.
  1.140  DISP
  1.140  DISP         Connect 33250A Output on 33250A front panel to UUT EXT
  1.140  DISP         CLOCK IN terminal on UUT rear panel via a 50 ohm feed
  1.140  DISP         through.
  1.141  DISP         Connect CH 1 Active to UUT CH1 and CH2 via a dual input
  1.141  DISP         coupler.
  1.142  MATH         M[1] = 1; M[2] = 2
  1.143  CALL         Sub Yokogawa DL17x0E (1 yr) ExClock In IEEE /9500,33250

  1.144  DISP         Connect CH 1 Active to UUT CH3 and CH4 via a dual input
  1.144  DISP         coupler.
  1.145  MATH         M[1] = 3; M[2] = 4
  1.146  CALL         Sub Yokogawa DL17x0E (1 yr) ExClock In IEEE /9500,33250

  1.147  END
